OpenAPI Documentation
OpenAPI Documentation

API Reference

This page lists every business API that uses X-API-Key. Append each path to the test or production Base URL.

Wallet

API Method Path
Get wallet balance GET /open-api/v1/wallet/balance

Dynamic traffic

API Method Path
List dynamic traffic products GET /open-api/v1/dynamic/traffic/products
Purchase dynamic traffic POST /open-api/v1/dynamic/traffic/purchases
Get dynamic traffic balance GET /open-api/v1/dynamic/traffic/balance
Get daily dynamic traffic usage GET /open-api/v1/dynamic/traffic/usage/daily
List active traffic batches GET /open-api/v1/dynamic/traffic/lots
List dynamic traffic orders GET /open-api/v1/dynamic/traffic/orders
Get dynamic traffic order details GET /open-api/v1/dynamic/traffic/orders/{order_no}

Dynamic regions

API Method Path
List dynamic proxy regions GET /open-api/v1/dynamic/regions

Dynamic sub-accounts

API Method Path
Create a dynamic sub-account POST /open-api/v1/dynamic/accounts
List dynamic sub-accounts GET /open-api/v1/dynamic/accounts
Get dynamic sub-account details GET /open-api/v1/dynamic/accounts/{id}
Update a dynamic sub-account traffic limit PATCH /open-api/v1/dynamic/accounts/{id}
Enable or disable a dynamic sub-account PATCH /open-api/v1/dynamic/accounts/{id}/status
Generate dynamic proxy credentials POST /open-api/v1/dynamic/accounts/{id}/proxy-credentials

Static proxies

API Method Path
List static proxy regions GET /open-api/v1/static/regions
Get static proxy inventory GET /open-api/v1/static/inventory
Get a static proxy purchase quote POST /open-api/v1/static/purchase-quotes
Create a static proxy purchase order POST /open-api/v1/static/purchase-orders
List static proxy purchase orders GET /open-api/v1/static/purchase-orders
Get static proxy purchase order details GET /open-api/v1/static/purchase-orders/{order_no}
List static proxy resources GET /open-api/v1/static/resources
Get a static proxy renewal quote POST /open-api/v1/static/renewal-quotes
Create a static proxy renewal order POST /open-api/v1/static/renewal-orders
List static proxy renewal orders GET /open-api/v1/static/renewal-orders
Get static proxy renewal order details GET /open-api/v1/static/renewal-orders/{order_no}

All APIs follow the Request conventions and Response structure.

On this page